Documentation Index
Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Overview
This topic explains how to use the endpoints integration framework capability.About endpoints
Some capabilities require you to specify an endpoint that LaunchDarkly can make requests to. For example, you can specify an endpoint as follows:endpoint.url and endpoint.headers[].value accept template variables. These template variables can reference any formVariables you’ve defined in your manifest. This lets you configure a dynamic endpoint based on the formVariables your integration collects from the end user. To learn more, read Using form variables.
The templating language LaunchDarkly uses is based off of a subset of the Handlebars syntax. To learn more, read the Handlebars documentation.
This example uses the endpointUrl form variable as the URL of the endpoint and the apiToken as a Bearer token in the Authorization header:
apiToken form variable as a query parameter on the URL: